Bug 1124712 - JDG640.DeveloperUsability
Summary: JDG640.DeveloperUsability
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Library
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER8
: 6.4.0
Assignee: Tristan Tarrant
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On: 1161082
Blocks: 1124710 jdg64-GA-Blockers
TreeView+ depends on / blocked
 
Reported: 2014-07-30 07:20 UTC by Tristan Tarrant
Modified: 2015-01-28 13:25 UTC (History)
6 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-28 13:25:30 UTC
Type: Bug


Attachments (Terms of Use)

Description Tristan Tarrant 2014-07-30 07:20:34 UTC
JDG640.DeveloperUsability

Requirement:
	

a) Include JDG dependencies easily into client applications. (Library mode or Hot Rod client)

b) Define a new cache easily, inheriting the properties of an existing cache, specifying only the properties that need to change. (Library mode only)

Priority:
	

P3

Status:
	

Committed

Originator:
	

Product Management

Responsible team:
	

Infinispan Engineering Team

Comments:
	

a) it is possible to support the three uber-jars (client-all, server-all, query-all) in production as well

b) This functionality has been always been the way of configuring caches. Will ensure that the documentation explains this.

Attachments:
	

Interdependencies:
	

Will cause package changes, but no API changes. This only affects classloading to an extent (since many more classes will be in the same classloader), but that should not be an issue

Comment 2 Dave Stahl 2014-10-01 12:50:24 UTC
https://github.com/infinispan/jdg/pull/276 merged to jdg-6.4.x branch.  Thanks!

Comment 3 Tomas Sykora 2014-10-03 08:37:08 UTC
Functionality is in place and usable. 

Basic testduite runs OK, also, we tested usability in jdg-jon-support-application which is used for testing JON/JDG integration. 

Everything seems to be ok now. 

For any further discovered issues we will open new BZs. 
This is VERIFIED for now. 

Feature was successfully delivered, more complex testing scenarios are currently under development.

Comment 20 Tomas Sykora 2015-01-03 10:46:46 UTC
CR1 will need this one: https://bugzilla.redhat.com/show_bug.cgi?id=1178152

Comment 21 Martin Gencur 2015-01-07 15:17:37 UTC
Setting to VERIFIED. BZ1178152 will be placed on the blockers list instead.


Note You need to log in before you can comment on or make changes to this bug.